With the release of CDM+ 12.0 coming Fall 2021 there will be new system requirements to run CDM+.

Version 12.0 is required for anyone using Payroll, Vendor 1099s, Engage, or CDM+ Mobile.

The following operating systems will NOT be supported:

  • macOS 10.13 High Sierra
  • Windows 7
  • Windows 8/8.1
  • Windows Server 2008
  • Windows Server 2012
  • Windows Server 2016

If you are enrolled in an active CDM+ plan there will be no charge to upgrade to CDM+ 12.0.

If you have a dedicated server computer that will be unsupported with version 12.0, consider moving to CDM+ Data Hosting at no extra charge.

Contact CDM+ Sales for details.

In order to continue to develop new features and functions, our developers work hard to apply the latest technology available. We hope this advance notice will provide ample time to upgrade your computers and be ready for the release of CDM+ 12.0.

Look for more details on CDM+ 12.0 in the coming months!

CDM+ 12.0 System Requirements

Below you will find information regarding the upcoming new system requirements.

macOS

  • CDM+ 12.0 will not run on macOS 10.13 High Sierra or earlier. 
  • Moving forward, macOS 10.14 Mojave or later will be required.
  • It is expected that CDM+ 12.0 will run natively on Apple Silicon.

CLICK HERE to see what version macOS you are running.

Windows Client

  • CDM+ 12.0 will not run on Windows 7, 8.0, and 8.1
  • Moving forward, Windows 10 Anniversary update (version 1607) or later will be required.

Windows Server

  • CDM+ 12.0 will not run on Windows Server 2008, 2012, or 2016.
  • Moving forward, Windows Server 2019 Version 1809 with OS Build 17763 or later will be required.

CLICK HERE to see which version of Windows you have.

As always, If you have questions, please contact us at (800) 633-9581 or email support@cdmplus.com.